package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;

/**院校评估导入表*/
public class MallTestSchoolRecordBo {
    /** 年份 */
    @Excel(name = "年份")
    private String acceptYear;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String schoolName;

    /** 招生专业 */
    @Excel(name = "招生专业")
    private String majorName;

    /** 录取原则 */
    @Excel(name = "录取原则")
    private String acceptRule;

    /** 录取前提*/
    @Excel(name = "录取前提")
    private String acceptPremise;

    /** 考试内容 */
    @Excel(name = "考试内容")
    private String examContent;

    /** 招生计划*/
    @Excel(name = "招生计划")
    private Integer acceptNum;

    /** 联考要求*/
    @Excel(name = "联考要求")
    private String examRequire;

    /** 最低分*/
    @Excel(name = "最低分")
    private String acceptLowest;

    /** 所需文化分 */
    @Excel(name = "所需文化分")
    private Integer needCulture;

    /** 合格线 */
    @Excel(name = "合格线")
    private Integer passScore;

    /** 满分线 */
    @Excel(name = "满分线")
    private Integer fullScore;

    /** 院校名称id */
    @Excel(name = "院校名称id")
    private Long testSchoolId;

    /** 专业id */
    @Excel(name = "专业id")
    private Long majorId;

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getAcceptRule() {
        return acceptRule;
    }

    public void setAcceptRule(String acceptRule) {
        this.acceptRule = acceptRule;
    }

    public String getAcceptPremise() {
        return acceptPremise;
    }

    public void setAcceptPremise(String acceptPremise) {
        this.acceptPremise = acceptPremise;
    }

    public String getExamContent() {
        return examContent;
    }

    public void setExamContent(String examContent) {
        this.examContent = examContent;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getExamRequire() {
        return examRequire;
    }

    public void setExamRequire(String examRequire) {
        this.examRequire = examRequire;
    }

    public String getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(String acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public Integer getNeedCulture() {
        return needCulture;
    }

    public void setNeedCulture(Integer needCulture) {
        this.needCulture = needCulture;
    }

    public Integer getPassScore() {
        return passScore;
    }

    public void setPassScore(Integer passScore) {
        this.passScore = passScore;
    }

    public Integer getFullScore() {
        return fullScore;
    }

    public void setFullScore(Integer fullScore) {
        this.fullScore = fullScore;
    }

    public Long getTestSchoolId() {
        return testSchoolId;
    }

    public void setTestSchoolId(Long testSchoolId) {
        this.testSchoolId = testSchoolId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }
}
